ViewVC Help
View File | Revision Log | Show Annotations | Download File
/cvs/gvpe/configure
(Generate patch)

Comparing gvpe/configure (file contents):
Revision 1.14 by pcg, Tue Jan 27 06:05:02 2004 UTC vs.
Revision 1.24 by pcg, Fri Mar 4 03:43:09 2005 UTC

307#endif 307#endif
308#if HAVE_UNISTD_H 308#if HAVE_UNISTD_H
309# include <unistd.h> 309# include <unistd.h>
310#endif" 310#endif"
311 311
312ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS build build_cpu build_vendor build_os host host_cpu host_vendor host_os target target_cpu target_vendor target_os INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA CYGPATH_W PACKAGE VERSION ACLOCAL AUTOCONF AUTOMAKE AUTOHEADER MAKEINFO AMTAR install_sh STRIP ac_ct_STRIP INSTALL_STRIP_PROGRAM AWK SET_MAKE am__leading_dot MAINTAINER_MODE_TRUE MAINTAINER_MODE_FALSE MAINT MKINSTALLDIRS MSGFMT GMSGFMT XGETTEXT MSGMERGE CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT DEPDIR am__include am__quote AMDEP_TRUE AMDEP_FALSE AMDEPBACKSLASH CCDEPMODE am__fastdepCC_TRUE am__fastdepCC_FALSE USE_NLS LIBICONV LTLIBICONV INTLLIBS LIBINTL LTLIBINTL POSUB CPP CXX CXXFLAGS ac_ct_CXX CXXDEPMODE am__fastdepCXX_TRUE am__fastdepCXX_FALSE EGREP LN_S RANLIB ac_ct_RANLIB IFTYPE IFSUBTYPE CXXCPP ALLOCA LINUX_IF_TUN_H HAVE_TUNTAP INCLUDES LIBOBJS LTLIBOBJS' 312ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS build build_cpu build_vendor build_os host host_cpu host_vendor host_os target target_cpu target_vendor target_os INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA CYGPATH_W PACKAGE VERSION ACLOCAL AUTOCONF AUTOMAKE AUTOHEADER MAKEINFO AMTAR install_sh STRIP ac_ct_STRIP INSTALL_STRIP_PROGRAM AWK SET_MAKE am__leading_dot MAINTAINER_MODE_TRUE MAINTAINER_MODE_FALSE MAINT MKINSTALLDIRS MSGFMT GMSGFMT XGETTEXT MSGMERGE CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT DEPDIR am__include am__quote AMDEP_TRUE AMDEP_FALSE AMDEPBACKSLASH CCDEPMODE am__fastdepCC_TRUE am__fastdepCC_FALSE USE_NLS LIBICONV LTLIBICONV INTLLIBS LIBINTL LTLIBINTL POSUB CPP CXX CXXFLAGS ac_ct_CXX CXXDEPMODE am__fastdepCXX_TRUE am__fastdepCXX_FALSE EGREP LN_S RANLIB ac_ct_RANLIB IFTYPE IFSUBTYPE CXXCPP ALLOCA LINUX_IF_TUN_H HAVE_TUNTAP LDFLAGS_DAEMON ROHC_TRUE ROHC_FALSE INCLUDES LIBOBJS LTLIBOBJS'
313ac_subst_files='' 313ac_subst_files=''
314 314
315# Initialize some variables set by options. 315# Initialize some variables set by options.
316ac_init_help= 316ac_init_help=
317ac_init_version=false 317ac_init_version=false
874 "tincd/linux" "tincd/freebsd" "tincd/openbsd" 874 "tincd/linux" "tincd/freebsd" "tincd/openbsd"
875 "tincd/darwin" "native/cygwin"; Untested 875 "tincd/darwin" "native/cygwin"; Untested
876 combinations are: "tincd/netbsd" "tincd/solaris" 876 combinations are: "tincd/netbsd" "tincd/solaris"
877 "tincd/mingw"; Broken combinations are: 877 "tincd/mingw"; Broken combinations are:
878 "tincd/cygwin"; The default is to autodetect. 878 "tincd/cygwin"; The default is to autodetect.
879 --enable-static-daemon enable statically linked daemon.
879 --enable-rohc enable robust header compression (rfc3095). 880 --enable-rohc enable robust header compression (rfc3095).
880 --enable-icmp enable icmp protocol support (default disabled). 881 --enable-icmp enable icmp protocol support (default disabled).
881 --enable-tcp enable tcp protocol support (default disabled). 882 --enable-tcp enable tcp protocol support (default disabled).
883 --enable-dns enable dns tunnel protocol support (DOES NOT WORK).
882 --enable-http-proxy enable http proxy connect support (default 884 --enable-http-proxy enable http proxy connect support (default
883 disabled). 885 disabled).
884 --enable-hmac-length=BYTES 886 --enable-hmac-length=BYTES
885 use a hmac of length BYTES bytes (default 12). 887 use a hmac of length BYTES bytes (default 12).
886 Allowed values are 4, 8, 12, 16. 888 Allowed values are 4, 8, 12, 16.
1358 1360
1359 1361
1360 1362
1361 1363
1362 1364
1365
1363ac_aux_dir= 1366ac_aux_dir=
1364for ac_dir in $srcdir $srcdir/.. $srcdir/../..; do 1367for ac_dir in $srcdir $srcdir/.. $srcdir/../..; do
1365 if test -f $ac_dir/install-sh; then 1368 if test -f $ac_dir/install-sh; then
1366 ac_aux_dir=$ac_dir 1369 ac_aux_dir=$ac_dir
1367 ac_install_sh="$ac_aux_dir/install-sh -c" 1370 ac_install_sh="$ac_aux_dir/install-sh -c"
1714 fi 1717 fi
1715fi 1718fi
1716 1719
1717 1720
1718# Define the identity of the package. 1721# Define the identity of the package.
1719 PACKAGE=vpe 1722 PACKAGE=gvpe
1720 VERSION=1.5 1723 VERSION=1.7
1721 1724
1722 1725
1723cat >>confdefs.h <<_ACEOF 1726cat >>confdefs.h <<_ACEOF
1724#define PACKAGE "$PACKAGE" 1727#define PACKAGE "$PACKAGE"
1725_ACEOF 1728_ACEOF
9675 9678
9676if test "x$openssl_include" != x; then 9679if test "x$openssl_include" != x; then
9677 CXXFLAGS="$CXXFLAGS -I$openssl_include" 9680 CXXFLAGS="$CXXFLAGS -I$openssl_include"
9678fi 9681fi
9679 9682
9683# Check whether --enable-static-daemon or --disable-static-daemon was given.
9684if test "${enable_static_daemon+set}" = set; then
9685 enableval="$enable_static_daemon"
9686 LDFLAGS_DAEMON=-static
9687
9688fi;
9689
9690
9680# Check whether --enable-rohc or --disable-rohc was given. 9691# Check whether --enable-rohc or --disable-rohc was given.
9681if test "${enable_rohc+set}" = set; then 9692if test "${enable_rohc+set}" = set; then
9682 enableval="$enable_rohc" 9693 enableval="$enable_rohc"
9683 9694
9684 echo 9695 echo
9685 echo "**********************************************************************" 9696 echo "**********************************************************************"
9686 echo "**********************************************************************" 9697 echo "**********************************************************************"
9687 echo "**** --enable-rohc not yet implemented *******************************" 9698 echo "**** --enable-rohc is highly experimental, do not use ****************"
9688 echo "**********************************************************************"
9689 echo "**** uuh sorry, I am such an ass, but I didn't find any rfc3095 (ROHC)"
9690 echo "**** implementation to be used in GPL code on the web."
9691 echo "**** so this option is just a fake. Please implement one and send it"
9692 echo "**** to me ;)"
9693 echo "**********************************************************************"
9694 echo "**********************************************************************"
9695 echo "**********************************************************************" 9699 echo "**********************************************************************"
9696 echo "**********************************************************************" 9700 echo "**********************************************************************"
9697 echo 9701 echo
9702 rohc=true
9703
9704cat >>confdefs.h <<_ACEOF
9705#define ENABLE_ROHC 1
9706_ACEOF
9707
9698 9708
9699 9709
9700fi; 9710fi;
9711
9712
9713
9714if test x$rohc = xtrue; then
9715 ROHC_TRUE=
9716 ROHC_FALSE='#'
9717else
9718 ROHC_TRUE='#'
9719 ROHC_FALSE=
9720fi
9721
9701 9722
9702# Check whether --enable-icmp or --disable-icmp was given. 9723# Check whether --enable-icmp or --disable-icmp was given.
9703if test "${enable_icmp+set}" = set; then 9724if test "${enable_icmp+set}" = set; then
9704 enableval="$enable_icmp" 9725 enableval="$enable_icmp"
9705 9726
9719_ACEOF 9740_ACEOF
9720 9741
9721 9742
9722fi; 9743fi;
9723 9744
9745# Check whether --enable-dns or --disable-dns was given.
9746if test "${enable_dns+set}" = set; then
9747 enableval="$enable_dns"
9748
9749 if test "${ac_cv_header_gmp_h+set}" = set; then
9750 echo "$as_me:$LINENO: checking for gmp.h" >&5
9751echo $ECHO_N "checking for gmp.h... $ECHO_C" >&6
9752if test "${ac_cv_header_gmp_h+set}" = set; then
9753 echo $ECHO_N "(cached) $ECHO_C" >&6
9754fi
9755echo "$as_me:$LINENO: result: $ac_cv_header_gmp_h" >&5
9756echo "${ECHO_T}$ac_cv_header_gmp_h" >&6
9757else
9758 # Is the header compilable?
9759echo "$as_me:$LINENO: checking gmp.h usability" >&5
9760echo $ECHO_N "checking gmp.h usability... $ECHO_C" >&6
9761cat >conftest.$ac_ext <<_ACEOF
9762/* confdefs.h. */
9763_ACEOF
9764cat confdefs.h >>conftest.$ac_ext
9765cat >>conftest.$ac_ext <<_ACEOF
9766/* end confdefs.h. */
9767$ac_includes_default
9768#include <gmp.h>
9769_ACEOF
9770rm -f conftest.$ac_objext
9771if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
9772 (eval $ac_compile) 2>conftest.er1
9773 ac_status=$?
9774 grep -v '^ *+' conftest.er1 >conftest.err
9775 rm -f conftest.er1
9776 cat conftest.err >&5
9777 echo "$as_me:$LINENO: \$? = $ac_status" >&5
9778 (exit $ac_status); } &&
9779 { ac_try='test -z "$ac_cxx_werror_flag" || test ! -s conftest.err'
9780 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
9781 (eval $ac_try) 2>&5
9782 ac_status=$?
9783 echo "$as_me:$LINENO: \$? = $ac_status" >&5
9784 (exit $ac_status); }; } &&
9785 { ac_try='test -s conftest.$ac_objext'
9786 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
9787 (eval $ac_try) 2>&5
9788 ac_status=$?
9789 echo "$as_me:$LINENO: \$? = $ac_status" >&5
9790 (exit $ac_status); }; }; then
9791 ac_header_compiler=yes
9792else
9793 echo "$as_me: failed program was:" >&5
9794sed 's/^/| /' conftest.$ac_ext >&5
9795
9796ac_header_compiler=no
9797fi
9798rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
9799echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
9800echo "${ECHO_T}$ac_header_compiler" >&6
9801
9802# Is the header present?
9803echo "$as_me:$LINENO: checking gmp.h presence" >&5
9804echo $ECHO_N "checking gmp.h presence... $ECHO_C" >&6
9805cat >conftest.$ac_ext <<_ACEOF
9806/* confdefs.h. */
9807_ACEOF
9808cat confdefs.h >>conftest.$ac_ext
9809cat >>conftest.$ac_ext <<_ACEOF
9810/* end confdefs.h. */
9811#include <gmp.h>
9812_ACEOF
9813if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
9814 (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
9815 ac_status=$?
9816 grep -v '^ *+' conftest.er1 >conftest.err
9817 rm -f conftest.er1
9818 cat conftest.err >&5
9819 echo "$as_me:$LINENO: \$? = $ac_status" >&5
9820 (exit $ac_status); } >/dev/null; then
9821 if test -s conftest.err; then
9822 ac_cpp_err=$ac_cxx_preproc_warn_flag
9823 ac_cpp_err=$ac_cpp_err$ac_cxx_werror_flag
9824 else
9825 ac_cpp_err=
9826 fi
9827else
9828 ac_cpp_err=yes
9829fi
9830if test -z "$ac_cpp_err"; then
9831 ac_header_preproc=yes
9832else
9833 echo "$as_me: failed program was:" >&5
9834sed 's/^/| /' conftest.$ac_ext >&5
9835
9836 ac_header_preproc=no
9837fi
9838rm -f conftest.err conftest.$ac_ext
9839echo "$as_me:$LINENO: result: $ac_header_preproc" >&5
9840echo "${ECHO_T}$ac_header_preproc" >&6
9841
9842# So? What about this header?
9843case $ac_header_compiler:$ac_header_preproc:$ac_cxx_preproc_warn_flag in
9844 yes:no: )
9845 { echo "$as_me:$LINENO: WARNING: gmp.h: accepted by the compiler, rejected by the preprocessor!" >&5
9846echo "$as_me: WARNING: gmp.h: accepted by the compiler, rejected by the preprocessor!" >&2;}
9847 { echo "$as_me:$LINENO: WARNING: gmp.h: proceeding with the compiler's result" >&5
9848echo "$as_me: WARNING: gmp.h: proceeding with the compiler's result" >&2;}
9849 ac_header_preproc=yes
9850 ;;
9851 no:yes:* )
9852 { echo "$as_me:$LINENO: WARNING: gmp.h: present but cannot be compiled" >&5
9853echo "$as_me: WARNING: gmp.h: present but cannot be compiled" >&2;}
9854 { echo "$as_me:$LINENO: WARNING: gmp.h: check for missing prerequisite headers?" >&5
9855echo "$as_me: WARNING: gmp.h: check for missing prerequisite headers?" >&2;}
9856 { echo "$as_me:$LINENO: WARNING: gmp.h: see the Autoconf documentation" >&5
9857echo "$as_me: WARNING: gmp.h: see the Autoconf documentation" >&2;}
9858 { echo "$as_me:$LINENO: WARNING: gmp.h: section \"Present But Cannot Be Compiled\"" >&5
9859echo "$as_me: WARNING: gmp.h: section \"Present But Cannot Be Compiled\"" >&2;}
9860 { echo "$as_me:$LINENO: WARNING: gmp.h: proceeding with the preprocessor's result" >&5
9861echo "$as_me: WARNING: gmp.h: proceeding with the preprocessor's result" >&2;}
9862 { echo "$as_me:$LINENO: WARNING: gmp.h: in the future, the compiler will take precedence" >&5
9863echo "$as_me: WARNING: gmp.h: in the future, the compiler will take precedence" >&2;}
9864 (
9865 cat <<\_ASBOX
9866## ------------------------------------------ ##
9867## Report this to the AC_PACKAGE_NAME lists. ##
9868## ------------------------------------------ ##
9869_ASBOX
9870 ) |
9871 sed "s/^/$as_me: WARNING: /" >&2
9872 ;;
9873esac
9874echo "$as_me:$LINENO: checking for gmp.h" >&5
9875echo $ECHO_N "checking for gmp.h... $ECHO_C" >&6
9876if test "${ac_cv_header_gmp_h+set}" = set; then
9877 echo $ECHO_N "(cached) $ECHO_C" >&6
9878else
9879 ac_cv_header_gmp_h=$ac_header_preproc
9880fi
9881echo "$as_me:$LINENO: result: $ac_cv_header_gmp_h" >&5
9882echo "${ECHO_T}$ac_cv_header_gmp_h" >&6
9883
9884fi
9885if test $ac_cv_header_gmp_h = yes; then
9886 :
9887else
9888 { { echo "$as_me:$LINENO: error: gmp.h not found, required for --enable-dns" >&5
9889echo "$as_me: error: gmp.h not found, required for --enable-dns" >&2;}
9890 { (exit 1); exit 1; }; }
9891fi
9892
9893
9894
9895echo "$as_me:$LINENO: checking for main in -lgmp" >&5
9896echo $ECHO_N "checking for main in -lgmp... $ECHO_C" >&6
9897if test "${ac_cv_lib_gmp_main+set}" = set; then
9898 echo $ECHO_N "(cached) $ECHO_C" >&6
9899else
9900 ac_check_lib_save_LIBS=$LIBS
9901LIBS="-lgmp $LIBS"
9902cat >conftest.$ac_ext <<_ACEOF
9903/* confdefs.h. */
9904_ACEOF
9905cat confdefs.h >>conftest.$ac_ext
9906cat >>conftest.$ac_ext <<_ACEOF
9907/* end confdefs.h. */
9908
9909
9910int
9911main ()
9912{
9913main ();
9914 ;
9915 return 0;
9916}
9917_ACEOF
9918rm -f conftest.$ac_objext conftest$ac_exeext
9919if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
9920 (eval $ac_link) 2>conftest.er1
9921 ac_status=$?
9922 grep -v '^ *+' conftest.er1 >conftest.err
9923 rm -f conftest.er1
9924 cat conftest.err >&5
9925 echo "$as_me:$LINENO: \$? = $ac_status" >&5
9926 (exit $ac_status); } &&
9927 { ac_try='test -z "$ac_cxx_werror_flag" || test ! -s conftest.err'
9928 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
9929 (eval $ac_try) 2>&5
9930 ac_status=$?
9931 echo "$as_me:$LINENO: \$? = $ac_status" >&5
9932 (exit $ac_status); }; } &&
9933 { ac_try='test -s conftest$ac_exeext'
9934 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
9935 (eval $ac_try) 2>&5
9936 ac_status=$?
9937 echo "$as_me:$LINENO: \$? = $ac_status" >&5
9938 (exit $ac_status); }; }; then
9939 ac_cv_lib_gmp_main=yes
9940else
9941 echo "$as_me: failed program was:" >&5
9942sed 's/^/| /' conftest.$ac_ext >&5
9943
9944ac_cv_lib_gmp_main=no
9945fi
9946rm -f conftest.err conftest.$ac_objext \
9947 conftest$ac_exeext conftest.$ac_ext
9948LIBS=$ac_check_lib_save_LIBS
9949fi
9950echo "$as_me:$LINENO: result: $ac_cv_lib_gmp_main" >&5
9951echo "${ECHO_T}$ac_cv_lib_gmp_main" >&6
9952if test $ac_cv_lib_gmp_main = yes; then
9953 cat >>confdefs.h <<_ACEOF
9954#define HAVE_LIBGMP 1
9955_ACEOF
9956
9957 LIBS="-lgmp $LIBS"
9958
9959else
9960 { { echo "$as_me:$LINENO: error: libgmp not found, required for --enable-dns" >&5
9961echo "$as_me: error: libgmp not found, required for --enable-dns" >&2;}
9962 { (exit 1); exit 1; }; }
9963fi
9964
9965
9966
9967cat >>confdefs.h <<_ACEOF
9968#define ENABLE_DNS 1
9969_ACEOF
9970
9971
9972
9973fi;
9974
9724# Check whether --enable-http-proxy or --disable-http-proxy was given. 9975# Check whether --enable-http-proxy or --disable-http-proxy was given.
9725if test "${enable_http_proxy+set}" = set; then 9976if test "${enable_http_proxy+set}" = set; then
9726 enableval="$enable_http_proxy" 9977 enableval="$enable_http_proxy"
9727 9978
9728cat >>confdefs.h <<_ACEOF 9979cat >>confdefs.h <<_ACEOF
9730_ACEOF 9981_ACEOF
9731 9982
9732 9983
9733fi; 9984fi;
9734 9985
9986HMAC=12
9735HMAC=8 # Check whether --enable-hmac-length or --disable-hmac-length was given. 9987# Check whether --enable-hmac-length or --disable-hmac-length was given.
9736if test "${enable_hmac_length+set}" = set; then 9988if test "${enable_hmac_length+set}" = set; then
9737 enableval="$enable_hmac_length" 9989 enableval="$enable_hmac_length"
9738 HMAC=$enableval 9990 HMAC=$enableval
9739 9991
9740fi; 9992fi;
9742cat >>confdefs.h <<_ACEOF 9994cat >>confdefs.h <<_ACEOF
9743#define HMACLENGTH $HMAC 9995#define HMACLENGTH $HMAC
9744_ACEOF 9996_ACEOF
9745 9997
9746 9998
9999RAND=8
9747RAND=8 # Check whether --enable-rand-length or --disable-rand-length was given. 10000# Check whether --enable-rand-length or --disable-rand-length was given.
9748if test "${enable_rand_length+set}" = set; then 10001if test "${enable_rand_length+set}" = set; then
9749 enableval="$enable_rand_length" 10002 enableval="$enable_rand_length"
9750 RAND=$enableval 10003 RAND=$enableval
9751 10004
9752fi; 10005fi;
9754cat >>confdefs.h <<_ACEOF 10007cat >>confdefs.h <<_ACEOF
9755#define RAND_SIZE $RAND 10008#define RAND_SIZE $RAND
9756_ACEOF 10009_ACEOF
9757 10010
9758 10011
10012MTU=1500
9759MTU=1500 # Check whether --enable-mtu or --disable-mtu was given. 10013# Check whether --enable-mtu or --disable-mtu was given.
9760if test "${enable_mtu+set}" = set; then 10014if test "${enable_mtu+set}" = set; then
9761 enableval="$enable_mtu" 10015 enableval="$enable_mtu"
9762 MTU=$enableval 10016 MTU=$enableval
9763 10017
9764fi; 10018fi;
9827 10081
9828 10082
9829 10083
9830 10084
9831 ac_config_files="$ac_config_files Makefile po/Makefile.in src/Makefile doc/Makefile lib/Makefile m4/Makefile" 10085 ac_config_files="$ac_config_files Makefile po/Makefile.in src/Makefile doc/Makefile lib/Makefile m4/Makefile"
10086
9832cat >confcache <<\_ACEOF 10087cat >confcache <<\_ACEOF
9833# This file is a shell script that caches the results of configure 10088# This file is a shell script that caches the results of configure
9834# tests run on this system so they can be shared between configure 10089# tests run on this system so they can be shared between configure
9835# scripts and configure runs, see configure's option --config-cache. 10090# scripts and configure runs, see configure's option --config-cache.
9836# It is not useful on other systems. If it contains results you don't 10091# It is not useful on other systems. If it contains results you don't
9950fi 10205fi
9951if test -z "${am__fastdepCXX_TRUE}" && test -z "${am__fastdepCXX_FALSE}"; then 10206if test -z "${am__fastdepCXX_TRUE}" && test -z "${am__fastdepCXX_FALSE}"; then
9952 { { echo "$as_me:$LINENO: error: conditional \"am__fastdepCXX\" was never defined. 10207 { { echo "$as_me:$LINENO: error: conditional \"am__fastdepCXX\" was never defined.
9953Usually this means the macro was only invoked conditionally." >&5 10208Usually this means the macro was only invoked conditionally." >&5
9954echo "$as_me: error: conditional \"am__fastdepCXX\" was never defined. 10209echo "$as_me: error: conditional \"am__fastdepCXX\" was never defined.
10210Usually this means the macro was only invoked conditionally." >&2;}
10211 { (exit 1); exit 1; }; }
10212fi
10213if test -z "${ROHC_TRUE}" && test -z "${ROHC_FALSE}"; then
10214 { { echo "$as_me:$LINENO: error: conditional \"ROHC\" was never defined.
10215Usually this means the macro was only invoked conditionally." >&5
10216echo "$as_me: error: conditional \"ROHC\" was never defined.
9955Usually this means the macro was only invoked conditionally." >&2;} 10217Usually this means the macro was only invoked conditionally." >&2;}
9956 { (exit 1); exit 1; }; } 10218 { (exit 1); exit 1; }; }
9957fi 10219fi
9958 10220
9959: ${CONFIG_STATUS=./config.status} 10221: ${CONFIG_STATUS=./config.status}
10577s,@IFSUBTYPE@,$IFSUBTYPE,;t t 10839s,@IFSUBTYPE@,$IFSUBTYPE,;t t
10578s,@CXXCPP@,$CXXCPP,;t t 10840s,@CXXCPP@,$CXXCPP,;t t
10579s,@ALLOCA@,$ALLOCA,;t t 10841s,@ALLOCA@,$ALLOCA,;t t
10580s,@LINUX_IF_TUN_H@,$LINUX_IF_TUN_H,;t t 10842s,@LINUX_IF_TUN_H@,$LINUX_IF_TUN_H,;t t
10581s,@HAVE_TUNTAP@,$HAVE_TUNTAP,;t t 10843s,@HAVE_TUNTAP@,$HAVE_TUNTAP,;t t
10844s,@LDFLAGS_DAEMON@,$LDFLAGS_DAEMON,;t t
10845s,@ROHC_TRUE@,$ROHC_TRUE,;t t
10846s,@ROHC_FALSE@,$ROHC_FALSE,;t t
10582s,@INCLUDES@,$INCLUDES,;t t 10847s,@INCLUDES@,$INCLUDES,;t t
10583s,@LIBOBJS@,$LIBOBJS,;t t 10848s,@LIBOBJS@,$LIBOBJS,;t t
10584s,@LTLIBOBJS@,$LTLIBOBJS,;t t 10849s,@LTLIBOBJS@,$LTLIBOBJS,;t t
10585CEOF 10850CEOF
10586 10851
11389echo "*** Digest used: $DIGEST" 11654echo "*** Digest used: $DIGEST"
11390echo "*** HMAC length: $HMAC" 11655echo "*** HMAC length: $HMAC"
11391echo "*** RAND used: $RAND" 11656echo "*** RAND used: $RAND"
11392echo "*** Max. MTU: $MTU" 11657echo "*** Max. MTU: $MTU"
11393echo "*** Compression: $COMPRESS" 11658echo "*** Compression: $COMPRESS"
11659
11660if test "x$DIGEST" = xmd4; then
11394echo "***" 11661echo "***"
11395
11396if test "x$DIGEST" = xmd4; then
11397echo "*** WARNING"
11398echo "*** The digest you have chosen ($DIGEST) is known to be insecure" 11662echo "*** WARNING: The digest you have chosen ($DIGEST) is known to be insecure"
11663fi
11664
11665if test "$HMAC" -lt 12; then
11399echo "***" 11666echo "***"
11667echo "*** WARNING: The hmac length you have chosen ($HMAC) is probably insecure"
11400fi 11668fi
11669
11670if test "$RAND" -lt 8; then
11671echo "***"
11672echo "*** WARNING: The random prefix you have chosen ($RAND) is probably insecure"
11673fi
11674
11675echo "***"
11401 11676
11402echo 11677echo
11403 11678
11404 11679
11405 11680

Diff Legend

Removed lines
+ Added lines
< Changed lines
> Changed lines